[@rxap/tree](../wiki/globals) / ISearchForm

# Interface: ISearchForm\<Scope\>

Defined in: [tree/src/lib/search.form.ts:20](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/tree/src/lib/search.form.ts#L20)

## Type Parameters

• **Scope** = `unknown`

## Properties

### scope

> **scope**: `Record`\<`string`, `Scope`[]\>

Defined in: [tree/src/lib/search.form.ts:22](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/tree/src/lib/search.form.ts#L22)

***

### search

> **search**: `string`

Defined in: [tree/src/lib/search.form.ts:21](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/tree/src/lib/search.form.ts#L21)
